#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	23.08.5
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		poxml
Summary:	poxml
Name:		ka5-%{kaname}
Version:	23.08.5
Release:	1
License:	GPL
Group:		X11/Applications/Editors
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	43a1197bcabedfbe2502cba9a2d09db4
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5Xml-devel
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kdoctools-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	shared-mime-info
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Translates DocBook XML files using gettext po files.

%description -l pl.UTF-8
poxml tłumaczy pliki DocBook XML korzystając z plików .po gettexta.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/po2xml
%attr(755,root,root) %{_bindir}/split2po
%attr(755,root,root) %{_bindir}/swappo
%attr(755,root,root) %{_bindir}/xml2pot
%{_mandir}/ca/man1/po2xml.1*
%{_mandir}/ca/man1/split2po.1.*
%{_mandir}/ca/man1/swappo.1.*
%{_mandir}/ca/man1/xml2pot.1.*
%{_mandir}/da/man1/po2xml.1.*
%{_mandir}/da/man1/split2po.1.*
%{_mandir}/da/man1/swappo.1.*
%{_mandir}/da/man1/xml2pot.1.*
%{_mandir}/de/man1/po2xml.1.*
%{_mandir}/de/man1/split2po.1.*
%{_mandir}/de/man1/swappo.1.*
%{_mandir}/de/man1/xml2pot.1.*
%{_mandir}/es/man1/po2xml.1.*
%{_mandir}/es/man1/split2po.1.*
%{_mandir}/es/man1/swappo.1.*
%{_mandir}/es/man1/xml2pot.1.*
%{_mandir}/et/man1/split2po.1.*
%{_mandir}/fr/man1/po2xml.1.*
%{_mandir}/fr/man1/split2po.1.*
%{_mandir}/fr/man1/swappo.1.*
%{_mandir}/fr/man1/xml2pot.1.*
%{_mandir}/gl/man1/po2xml.1.*
%{_mandir}/gl/man1/split2po.1.*
%{_mandir}/gl/man1/swappo.1.*
%{_mandir}/gl/man1/xml2pot.1.*
%{_mandir}/it/man1/po2xml.1.*
%{_mandir}/it/man1/split2po.1.*
%{_mandir}/it/man1/swappo.1.*
%{_mandir}/it/man1/xml2pot.1.*
%{_mandir}/man1/po2xml.1.*
%{_mandir}/man1/split2po.1.*
%{_mandir}/man1/swappo.1.*
%{_mandir}/man1/xml2pot.1.*
%{_mandir}/nl/man1/po2xml.1.*
%{_mandir}/nl/man1/split2po.1.*
%{_mandir}/nl/man1/swappo.1.*
%{_mandir}/nl/man1/xml2pot.1.*
%{_mandir}/pt/man1/po2xml.1.*
%{_mandir}/pt/man1/split2po.1.*
%{_mandir}/pt/man1/swappo.1.*
%{_mandir}/pt/man1/xml2pot.1.*
%{_mandir}/pt_BR/man1/po2xml.1.*
%{_mandir}/pt_BR/man1/split2po.1.*
%{_mandir}/pt_BR/man1/swappo.1.*
%{_mandir}/pt_BR/man1/xml2pot.1.*
%{_mandir}/ru/man1/po2xml.1.*
%{_mandir}/ru/man1/split2po.1.*
%{_mandir}/ru/man1/swappo.1.*
%{_mandir}/ru/man1/xml2pot.1.*
%{_mandir}/sv/man1/po2xml.1.*
%{_mandir}/sv/man1/split2po.1.*
%{_mandir}/sv/man1/swappo.1.*
%{_mandir}/sv/man1/xml2pot.1.*
%{_mandir}/uk/man1/po2xml.1.*
%{_mandir}/uk/man1/split2po.1.*
%{_mandir}/uk/man1/swappo.1.*
%{_mandir}/uk/man1/xml2pot.1.*
%changelog
* Tue Apr 23 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-poxml.git;a=log;h=master

* Fri Mar 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 119df14
- updated to 23.08.5

* Fri Dec 08 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 767c552
- updated to 23.08.4

* Fri Nov 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 2f4c7a2
- updated to 23.08.3

* Fri Oct 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 20535f5
- updated to 23.08.2

* Fri Sep 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 9eb7c08
- updated to 23.08.1

* Thu Aug 24 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 7b2c7fc
- updated to 23.08.0; cmake -B build

* Fri Jul 07 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 4620c63
- updated to 23.04.3

* Sat Jun 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 2bffadb
- updated to 23.04.2

* Fri May 12 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 29115dd
- updated to 23.04.1

* Fri Apr 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 88d5c26
- updated to 23.04.0

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7a636c5
- rebuild against QT 5.15.9

* Fri Mar 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 717f262
- updated to 22.12.3

* Fri Feb 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> c7c19db
- updated to 22.12.2

* Fri Jan 06 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 19d1f36
- updated to 22.12.1

* Thu Jan 05 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a1311d3
- rebuild against QT 5.15.8

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> b46a6b4
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 8780a5f
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> b16efce
- updated to 22.08.2

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 19b065e
- rebuild with qt5-5.15.6

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 9218078
- updated to 22.08.1

